local ____lualib = require("lualib_bundle")
local __TS__Class = ____lualib.__TS__Class
local __TS__ClassExtends = ____lualib.__TS__ClassExtends
local ____exports = {}
local ____ISCFeature = require("src.enums.ISCFeature")
local ISCFeature = ____ISCFeature.ISCFeature
local ____shouldFire = require("src.shouldFire")
local shouldFireGridEntityCustom = ____shouldFire.shouldFireGridEntityCustom
local ____CustomCallback = require("src.classes.private.CustomCallback")
local CustomCallback = ____CustomCallback.CustomCallback
____exports.PostGridEntityCustomRender = __TS__Class()
local PostGridEntityCustomRender = ____exports.PostGridEntityCustomRender
PostGridEntityCustomRender.name = "PostGridEntityCustomRender"
__TS__ClassExtends(PostGridEntityCustomRender, CustomCallback)
function PostGridEntityCustomRender.prototype.____constructor(self)
    CustomCallback.prototype.____constructor(self)
    self.shouldFire = shouldFireGridEntityCustom
    self.featuresUsed = {ISCFeature.GRID_ENTITY_RENDER_DETECTION}
end
return ____exports
